Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.security
Class RahasUtil

    java.lang.Object
      org.wso2.wsas.security.RahasUtil

    public class RahasUtil

extends java.lang.Object

Constructor Summary
`RahasUtil()`

Method Summary
`static org.apache.axis2.description.Parameter` | `getSCTIssuerConfigParameter(java.lang.String cryptoImpl, java.util.Properties cryptoProperties, int keyComputation, java.lang.String proofKeyType, boolean addRequestedAttachedRef, boolean addRequestedUnattachedRef)`
`static org.apache.axis2.description.Parameter` | `getTokenCancelerConfigParameter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RahasUtil

    public RahasUtil()

Method Detail

### getSCTIssuerConfigParameter

    public static org.apache.axis2.description.Parameter getSCTIssuerConfigParameter(java.lang.String cryptoImpl,
                                                                                     java.util.Properties cryptoProperties,
                                                                                     int keyComputation,
                                                                                     java.lang.String proofKeyType,
                                                                                     boolean addRequestedAttachedRef,
                                                                                     boolean addRequestedUnattachedRef)
                                                                              throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### getTokenCancelerConfigParameter

    public static org.apache.axis2.description.Parameter getTokenCancelerConfigParameter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD